libdata-messagepack-perl_1.00-2_amd64.deb


Advertisement

Description

libdata-messagepack-perl - MessagePack serializing/deserializing

Distribution: Debian Sid
Repository: Debian Main amd64
Package name: libdata-messagepack-perl
Package version: 1.00
Package release: 2
Package architecture: amd64
Package type: deb
Installed size: 113 B
Download size: 39.58 KB
Official Mirror: ftp.br.debian.org
Description: unavailable.

Alternatives

    Download

    Source package: libdata-messagepack-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libdata-messagepack-perl deb package:
      # sudo apt-get install libdata-messagepack-perl

    Changelog

    2017-09-18 - Jonas Smedegaard <dr@jones.dk> libdata-messagepack-perl (1.00-2) unstable; urgency=medium * Modernize Vcs-* fields: Consistently use git (not cgit) in path. * Declare compliance with Debian Policy 4.1.0. * Update copyright info: + Use https protocol in file format URL. + Extend coverage for myself. + Fix add License section for BSL-1.0. * Update watch file: + Mention gbp --uscan in usage comment. + Use substitution strings. * Advertise DEP-3 format in patch headers. * Drop obsolete lintian override regarding debhelper 9. * Tighten lintian overrides regarding License-Reference. * Modernize cdbs: + Do copyright-check in maintainer script (not during build). + Relax to build-depend unversioned on cdbs: Needed version satisfied even in oldstable. + Stop build-depend on licensecheck. * Add patch 1001 to fix include msgpack/unpack.h for msgpack_unpack_return enum. Closes: Bug#866791. Thanks to James McCoy.

    2016-09-18 - Jonas Smedegaard <dr@jones.dk> libdata-messagepack-perl (1.00-1) unstable; urgency=medium [ upstream ] * New release. Closes: Bug#827576. Thanks to James McCoy. [ Jonas Smedegaard ] * Build-depend on recent libmsgpack-dev, and add patch to link against that. * Git-ignore quilt .pc dir. * Update watch file: + Bump to version 4. + Use only MetaCPAN URL. + Mention uscan and gpb in usage comment. * Modernize git-buildpackage config: Filter any .git* file. * Stop track upstream source with CDBS (use gpb --uscan). * Update copyright info: + Extend coverage of packaging to include current year. + Extend coverage for and change license for embedded copy of msgpack-c. * Build-depend on libfile-copy-recursive-perl. * Unfuzz patch 2001. [ Christopher Hoskin ] * Update patch 2001, and add DEP3 header. * Update Vcs-Git: Use https protocol. * Fix add trailing newline to long description. * Include module name in description. * Enable autopkgtest. * Remove Makefile.old in clean target. * Declare compliance with Debian Policy 3.9.8. * Enable hardening * Build-depend on licensecheck (not devscripts). * Update copyright info: + Add myself as packaging author. * Update lintian override (tag changed). * Add myself as uploader.

    2015-11-23 - Jonas Smedegaard <dr@jones.dk> libdata-messagepack-perl (0.49-1) unstable; urgency=medium [ upstream ] * New release. + Fix undefined behavior issue of overflow. [ Jonas Smedegaard ] * Add TODO about use of system-shared headers. * Add git-buildpackage config, enabling pristine-tar and tag signing. * Use by-module URL as preferred for upstream source: in upstream-tarball.mk hints, and favored over metacpan URL in watch file. * Update copyright info: + Fix double-space-delimit copyright holders: Mandated by copyright file format 1.0. + Fix use verbatim license grant in GPL-3+ license section. + Use License-Grant and License-Reference fields. Thanks to Ben Finney. + Extend copyright of packaging to cover current year. * Add lintian override regarding license in License-Reference field. See bug#786450. * Bump debhelper compatibility level to 9. * Add lintian override regarding debhelper 9. * Declare compliance with Debian Policy 3.9.6. [ Salvatore Bonaccorso ] * Update Vcs-Browser URL to use cgit web frontend. [ Vasudev Kamath ] * Drop myself from uploaders.

    2014-05-23 - Jonas Smedegaard <dr@jones.dk> libdata-messagepack-perl (0.48-1) unstable; urgency=low [ Vasudev Kamath ] * Initial Release. Closes: bug#726288.

    Advertisement
    Advertisement